# Overview of GpgFrontend
---
![Language](https://img.shields.io/badge/language-C%2B%2B-green)
![GitHub release (latest by date)](https://img.shields.io/github/v/release/saturneric/gpgfrontend)
![License](https://img.shields.io/badge/License-GPL--3.0-orange)
![CodeSize](https://img.shields.io/github/languages/code-size/saturneric/GpgFrontend)
[![Codacy Badge](https://app.codacy.com/project/badge/Grade/d1750e052a85430a8f1f84e58a0fceda)](https://www.codacy.com/gh/saturneric/GpgFrontend/dashboard?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=saturneric/GpgFrontend&amp;utm_campaign=Badge_Grade)
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fsaturneric%2FGpgFrontend.svg?type=shield)](https://app.fossa.com/projects/git%2Bgithub.com%2Fsaturneric%2FGpgFrontend?ref=badge_shield)

**GpgFrontend** is a Powerful, Easy-to-Use, Compact, Cross-Platform, and
Installation-Free [OpenPGP](https://www.openpgp.org/) Crypto Tool.

By using GpgFrontend, you can quickly encrypt and decrypt text or files. Or at the same time as the above operations,
you can add your own signature to let others know that this document or this paragraph of text was issued by you.

Furthermore, it visualizes most of the common operations of gpg commands. It aims to allow ordinary users to quickly use
gpg and make professional users more convenient. GpgFrontend supports new features of GnuPG 2.x.

**The corresponding release version for this
Document: [v2.0.4](https://github.com/saturneric/GpgFrontend/releases/tag/v2.0.4)**

## Interface

Note: For different operating system and system style settings, GpgFrontend may look different.Documentation can also
vary widely from release to release. Please check the corresponding program release version for the document.

![image-20220109192100901](_media/overview/image-20220109192100901.png)

## Origin

The GpgFrontend project inherit from a relatively mature but not maintained [gpg4usb](https://www.gpg4usb.org/) project.
It inherits the stable, easy-to-use, compact, and installation-free features of gpg4usb, and plans to support some new
features of OpenPGP based on it and continue to improve it.

## Purpose

Let more people all over the world (even if they don't know the command line and programming) can use GnuPG to safely
send information to the destination in a safe way. Free software belongs to the common wealth of all mankind, but there
are still many people who cannot use these wealths due to the limitation of knowledge and usage habits. We should break
this pattern. GpgFrontend is committed to improving the ease of use and intuitiveness of the free software GnuPG, so
that more and more people can use it.

The GpgFrontend project is as open source, and it also insists on using open source codes and libraries.

### Free forever

GpgFrontend will be free forever, and you don't need to worry about being asked to pay a fee to use the software one
day.

## Source Code

The original code repository of Gpg Frontend is hosted on the server of Codes Dream, and each submission will be
submitted to the code repository first. You can click [Here](https://global.git.codesdream.com/GpgFrontend.git) to visit
the original code repository and track development progress.

注意：中国用户请访问[这里](https://git.codesdream.com/main/GpgFrontend.git)

### License

GpgFrontend source code is under a GPL-3.0 license, which means that GpgFrontend is free software. You may exercise the
rights set forth in the Licence under the conditions of compliance with the rules of the Licence.

### Contribution

At the same time, the addition of new functions does not affect the old basic functions. My personal strength is always
limited. GpgFrontend welcomes volunteers to join. You can use the GitHub platform to file an issue, or submit a pull
request.

You can also submit questions and code contributions by email, please send me problem reports and patches.

## Privacy Guarantee

GpgFrontend has no servers and does not require servers to run. In addition to the public key transfers allowed by the
OpenPGP protocol to the public key server unexpectedly, GpgFrontend does not collect and upload any additional
information.

For users with high security requirements, a version with no Internet access capability will be available in the future.